title: Property
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
      -
        handle: thumbnail_image
        field:
          mode: grid
          restrict: false
          allow_uploads: true
          display: 'Thumbnail Image'
          type: assets
          icon: assets
          listable: hidden
      -
        handle: thumbnail_label_tag
        field:
          input_type: text
          display: 'Thumbnail Label Tag'
          type: text
          icon: text
          listable: hidden
      -
        handle: thumbnail_title_en
        field:
          input_type: text
          display: 'Thumbnail Title EN'
          type: text
          icon: text
          listable: hidden
      -
        handle: thumbnail_title_bm
        field:
          input_type: text
          display: 'Thumbnail Title BM'
          type: text
          icon: text
          listable: hidden
      -
        handle: thumbnail_description_en
        field:
          input_type: text
          display: 'Thumbnail Description EN'
          type: text
          icon: text
          listable: hidden
      -
        handle: thumbnail_description_bm
        field:
          input_type: text
          display: 'Thumbnail Description BM'
          type: text
          icon: text
          listable: hidden
      -
        handle: size_1
        field:
          input_type: text
          display: 'Size 1'
          type: text
          icon: text
          listable: hidden
      -
        handle: size_2
        field:
          input_type: text
          display: 'Size 2'
          type: text
          icon: text
          listable: hidden
      -
        handle: rooms
        field:
          display: Rooms
          type: integer
          icon: integer
          listable: hidden
      -
        handle: bathrooms
        field:
          display: Bathrooms
          type: integer
          icon: integer
          listable: hidden
      -
        handle: carpark_bay
        field:
          display: 'Carpark Bay'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: price
        field:
          input_type: text
          display: Price
          type: text
          icon: text
          listable: hidden
      -
        handle: sold_out
        field:
          display: 'Sold Out'
          type: toggle
          icon: toggle
          listable: hidden
      -
        handle: page_banner_image
        field:
          mode: grid
          restrict: false
          allow_uploads: true
          display: 'Page Banner Image'
          type: assets
          icon: assets
          listable: hidden
      -
        handle: images
        field:
          mode: grid
          restrict: false
          allow_uploads: true
          display: Images
          type: assets
          icon: assets
          listable: hidden
      -
        handle: google_link_map
        field:
          display: 'Google link map'
          type: link
          icon: link
          listable: hidden
      -
        handle: featured
        field:
          display: Featured
          type: toggle
          icon: toggle
          listable: hidden
      -
        handle: tags_en
        field:
          fields:
            -
              handle: tag_color
              field:
                options:
                  default: default
                  red: red
                multiple: false
                clearable: true
                searchable: true
                taggable: false
                push_tags: false
                cast_booleans: false
                display: 'Tag Color'
                type: select
                icon: select
                listable: hidden
            -
              handle: tag_description
              field:
                input_type: text
                display: 'Tag Description'
                type: text
                icon: text
                listable: hidden
          mode: table
          reorderable: true
          display: 'Tags EN'
          type: grid
          icon: grid
          listable: hidden
      -
        handle: tags_bm
        field:
          fields:
            -
              handle: tag_color
              field:
                options:
                  default: default
                  red: red
                multiple: false
                clearable: true
                searchable: true
                taggable: false
                push_tags: false
                cast_booleans: false
                display: 'Tag Color'
                type: select
                icon: select
                listable: hidden
            -
              handle: tag_description
              field:
                input_type: text
                display: 'Tag Description'
                type: text
                icon: text
                listable: hidden
          mode: table
          reorderable: true
          display: 'Tags BM'
          type: grid
          icon: grid
          listable: hidden
      -
        handle: additional_details_en
        field:
          fields:
            -
              handle: label
              field:
                input_type: text
                display: Label
                type: text
                icon: text
                listable: hidden
            -
              handle: description
              field:
                input_type: text
                display: Description
                type: text
                icon: text
                listable: hidden
          mode: table
          reorderable: true
          display: 'Additional details EN'
          type: grid
          icon: grid
          listable: hidden
      -
        handle: additional_details_bm
        field:
          fields:
            -
              handle: label
              field:
                input_type: text
                display: Label
                type: text
                icon: text
                listable: hidden
            -
              handle: description
              field:
                input_type: text
                display: Description
                type: text
                icon: text
                listable: hidden
          mode: table
          reorderable: true
          display: 'Additional details BM'
          type: grid
          icon: grid
          listable: hidden
      -
        handle: phase_project
        field:
          display: 'Phase Project'
          type: toggle
          icon: toggle
          listable: hidden
      -
        handle: phases
        field:
          fields:
            -
              handle: image
              field:
                mode: grid
                restrict: false
                allow_uploads: true
                display: Image
                type: assets
                icon: assets
                listable: hidden
            -
              handle: title_en
              field:
                input_type: text
                display: 'Title EN'
                type: text
                icon: text
                listable: hidden
            -
              handle: title_bm
              field:
                input_type: text
                display: 'Title BM'
                type: text
                icon: text
                listable: hidden
            -
              handle: description_en
              field:
                input_type: text
                display: 'Description EN'
                type: text
                icon: text
                listable: hidden
            -
              handle: description_bm
              field:
                input_type: text
                display: 'Description BM'
                type: text
                icon: text
                listable: hidden
          mode: table
          reorderable: true
          display: Phases
          type: grid
          icon: grid
          listable: hidden
          if:
            phase_project: 'equals true'
      -
        handle: phases_key_points
        field:
          fields:
            -
              handle: font_awesome_icon_class
              field:
                input_type: text
                display: 'Font Awesome Icon Class'
                type: text
                icon: text
                instructions: 'get class name from font-awesome'
                listable: hidden
            -
              handle: title_en
              field:
                input_type: text
                display: 'Title EN'
                type: text
                icon: text
                listable: hidden
            -
              handle: title_bm
              field:
                input_type: text
                display: 'Title BM'
                type: text
                icon: text
                listable: hidden
            -
              handle: description_en
              field:
                input_type: text
                display: 'Description EN'
                type: text
                icon: text
                listable: hidden
            -
              handle: description_bm
              field:
                input_type: text
                display: 'Description BM'
                type: text
                icon: text
                listable: hidden
          mode: table
          reorderable: true
          display: 'Phases Key Points'
          type: grid
          icon: grid
          listable: hidden
          if:
            phase_project: 'equals true'
      -
        handle: external_link
        field:
          display: 'External Link'
          type: link
          icon: link
          listable: hidden
      -
        handle: external_files_links
        field:
          fields:
            -
              handle: label
              field:
                input_type: text
                display: Label
                type: text
                icon: text
                listable: hidden
            -
              handle: link
              field:
                display: Link
                type: link
                icon: link
                listable: hidden
          mode: table
          reorderable: true
          display: 'External Files Links'
          type: grid
          icon: grid
          listable: hidden
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          required: true
          localizable: true
          validate:
            - required
      -
        handle: date
        field:
          type: date
          required: true
          mode: single
          time_enabled: false
          time_required: false
          earliest_date: '1900-01-01'
          full_width: false
          inline: false
          columns: 1
          rows: 1
          display: Date
          icon: date
          listable: hidden
          validate:
            - required
      -
        handle: parent
        field:
          type: entries
          collections:
            - properties
          max_items: 1
          listable: false
          localizable: true
